Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl.jms
Class SessionImpl

    java.lang.Object
      org.richfaces.application.push.impl.AbstractSession
          org.richfaces.application.push.impl.jms.SessionImpl

All Implemented Interfaces:
  org.richfaces.application.push.Session

    public class SessionImpl

extends AbstractSession

Author:
  Nick Belaevski

Constructor Summary
`SessionImpl(java.lang.String id, org.richfaces.application.push.SessionManager sessionManager, MessagingContext messagingContext, org.richfaces.application.push.TopicsContext topicsContext)`

Method Summary
`java.util.Map<org.richfaces.application.push.TopicKey,java.lang.String>` | `getFailedSubscriptions()`
`com.google.common.collect.Multimap<org.richfaces.application.push.TopicKey,org.richfaces.application.push.TopicKey>` | `getSuccessfulSubscriptions()`
`void` | `onRequestDisconnected()`
`void` | `onRequestResumed()`
`void` | `onRequestSuspended()`
`void` | `subscribe(java.lang.String[] topics)`

Methods inherited from class org.richfaces.application.push.impl.AbstractSession
`connect, destroy, disconnect, getId, getLastAccessedTime, getMaxInactiveInterval, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionImpl

    public SessionImpl(java.lang.String id,
                       org.richfaces.application.push.SessionManager sessionManager,
                       MessagingContext messagingContext,
                       org.richfaces.application.push.TopicsContext topicsContext)

Method Detail

### onRequestSuspended

    public void onRequestSuspended()

### onRequestDisconnected

    public void onRequestDisconnected()

### onRequestResumed

    public void onRequestResumed()

### getFailedSubscriptions

    public java.util.Map<org.richfaces.application.push.TopicKey,java.lang.String> getFailedSubscriptions()

### getSuccessfulSubscriptions

    public com.google.common.collect.Multimap<org.richfaces.application.push.TopicKey,org.richfaces.application.push.TopicKey> getSuccessfulSubscriptions()

### subscribe

    public void subscribe(java.lang.String[] topics)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.